const express = require('express')
require('./db/mongoose')
const userRouter = require('./routers/user')
const taskRouter = require('./routers/task')

const app = express()
const port = process.env.PORT || 4200

app.use(express.json())
app.use(userRouter)
app.use(taskRouter)

app.listen(port, () => {
  const now = new Date()
  console.log('Server is up on port ' + port + ' at ' + now.toTimeString())
})

const Task = require('./models/task')
const User = require('./models/user')
